{%- assign title = include.title | unescape -%}
{%- assign text = include.description | strip_html | unescape -%}
{%- assign url = site.url | append: "/" | append: include.url -%}
{%- assign id = include.id | default: 'share' -%}

{% capture label %}
  {{ site.i18n.share.text }}
  <i class="fa fa-{{ site.i18n.share.icon }}"></i>
{% endcapture %}

{% include_cached toggler/toggler_label.html id=id content=label %}

{%- capture extra -%}
  data-controller="share"
  data-action="share#share"
  data-share-title-value="{{ title | escape }}"
  data-share-text-value="{{ text | escape }}"
  data-share-url-value="{{ url | escape }}"
{%- endcapture -%}

{% capture toggler_related %}
  <span aria-hidden="true">&times;</span>
  <span class="sr-only">{{ site.i18n.close }}</span>
{% endcapture %}

{% capture toggled %}
<div class="share-box d-flex align-items-center justify-content-center">
  <div class="box background-white color-redpink row no-gutters align-items-center justify-content-center p-3">
    <div class="col-12 text-right">
      {% include_cached toggler/toggler_related.html id=id content=toggler_related %}
    </div>

    {% for share in site.i18n.share.items %}
      <div class="col-4">
        {% include_cached share.html share=share url=include.url title=include.title description=text tags=include.tags %}
      </div>
    {% endfor %}
  </div>
</div>
{% endcapture %}

{%- include_cached toggler/toggler.html id=id extra=extra toggled_content=toggled -%}
